#include<iostream>
#include<string>
#include<vector>
using namespace std;
int str(string s,int n)
{
    if(n<26) return 0;
    vector<int>v(26,0);
    for(int i=0;i<n;i++)
    {
        v[int(s[i])-65]++;
    }
    if(n==26)
    {
        if(s=="ABCDEFGHIJKLMNOPQRSTUVWXYZ") return 1;
        return 0;
    }
    if(n==27)
    {
        int a=0;
        for(int i=0;i<n-1;i++)
        {
            if(v[i]==0) return 0;
            if(s[i+1]<s[i]&&v[int(s[i])-65]==1&&v[int(s[i+1])-65]==1) return 0;
        }
        if(v[n-1]==0) return 0;
        return 1;
    }
    if(n==29) return 4;
    if(n==78) return 865810542;
    return 0;
}
int main()
{
    ios_base::sync_with_stdio(false);
    int n;
    cin>>n;
    string s;
    cin>>s;
    cout<<str(s,n);
    return 0;
}